# xRTML Videochat Tag #

The Videochat tag allow users to communicate through a video feed representing a basic "videochat room" where users can interact.

## How it works ##

The tag can behave as a **moderator** or as a **publisher**.

The publishers:

- Participate in the conference;

The moderators can:

- Participate in the conference;
- Create/Destroy sessions;
- Disconnect users;

The moderator needs to comunicate with a web service that can create sessions and generate tokens for publishers.
In this demo you can find an example in **Node.js** to do that.

You can also do your own web service. You can find documentation to generate tokens and sessions at [opentok documentation page](http://www.tokbox.com/opentok/api/documentation/serverside).

The service must respond to the following actions:

- createsession
- generatetoken

For the **createsession** requests, the server must answer in the following format:

`{ CreateSessionResult: { expireTime: 1358538748000, sessionId: 'Session id generated by the opentok API', token: 'Token generated by the opentok API' } }

The expire date is the numeric value of the current server time plus the **timeToLive**.

For the **generatetoken** requests, the server must answer in the following format:

`{ GenerateTokenResult: { token: 'Token generated by the opentok API' } }`

For more information visit the [xRTML documentation site](http://docs.xrtml.org/3-0-0/javascript/xrtml.tags.videochat.htm)